// Copyright (C) 2022 WYATT GROUP
// Please see the AUTHORS file for details.
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program. If not, see <https://www.gnu.org/licenses/>.

class UserFirestore {
  final String email;
  final String name;
  final String phone;
  final String uid;

  UserFirestore({
    required this.email,
    required this.name,
    required this.phone,
    required this.uid,
  });

  factory UserFirestore.fromMap(Map<String, dynamic> map) {
    return UserFirestore(
      uid: map['uid'],
      email: map['email'],
      name: map['name'],
      phone: map['phone'],
    );
  }

  Map<String, dynamic> toMap() {
    return {
      'uid': uid,
      'email': email,
      'name': name,
      'phone': phone,
    };
  }

  @override
  String toString() {
    return 'UserFirestore(email: $email, name: $name, phone: $phone, uid: $uid)';
  }
}
